Create Or Update

Create Or Update
Creates or updates a notification scenario configuration of an organization

Creates or updates a notification scenario configuration of an organization

Request
URI
POST
https://{vcfa-fqdn}/notification/api/scenario-configs
COPY
Query Parameters
boolean
expandBody
Optional

The 'body' field of each scenario configuration will be retrieved.


Request Body
NotificationScenarioConfig of type(s) application/json
Required  

Show optional properties

{
    "enabled": false,
    "scenarioId": "string"
}
{
    "body": "string",
    "enabled": false,
    "scenarioCategory": "string",
    "scenarioDescription": "string",
    "scenarioId": "string",
    "scenarioName": "string",
    "subject": "string"
}
string
body
Optional
Constraints: maxLength: 30000

Notification scenario body

boolean
enabled
Required  

Notification scenario enabled

string
scenarioCategory
Read-Only  

Notification scenario category

string
scenarioDescription
Read-Only  

Notification scenario description

string
scenarioId
Required  

Notification scenario id

string
scenarioName
Read-Only  

Notification scenario name

string
subject
Optional
Constraints: maxLength: 998

Notification scenario subject

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns NotificationScenarioConfig of type(s) application/json
{
    "body": "string",
    "enabled": false,
    "scenarioCategory": "string",
    "scenarioDescription": "string",
    "scenarioId": "string",
    "scenarioName": "string",
    "subject": "string"
}
string
body
Optional
Constraints: maxLength: 30000

Notification scenario body

boolean
enabled
Required  

Notification scenario enabled

string
scenarioCategory
Read-Only  

Notification scenario category

string
scenarioDescription
Read-Only  

Notification scenario description

string
scenarioId
Required  

Notification scenario id

string
scenarioName
Read-Only  

Notification scenario name

string
subject
Optional
Constraints: maxLength: 998

Notification scenario subject


400

Bad Request

Returns NotificationScenarioConfig of type(s) application/json
"NotificationScenarioConfig Object"
string
body
Optional
Constraints: maxLength: 30000

Notification scenario body

boolean
enabled
Required  

Notification scenario enabled

string
scenarioCategory
Read-Only  

Notification scenario category

string
scenarioDescription
Read-Only  

Notification scenario description

string
scenarioId
Required  

Notification scenario id

string
scenarioName
Read-Only  

Notification scenario name

string
subject
Optional
Constraints: maxLength: 998

Notification scenario subject


401

Unauthorized

Returns NotificationScenarioConfig of type(s) application/json
"NotificationScenarioConfig Object"
string
body
Optional
Constraints: maxLength: 30000

Notification scenario body

boolean
enabled
Required  

Notification scenario enabled

string
scenarioCategory
Read-Only  

Notification scenario category

string
scenarioDescription
Read-Only  

Notification scenario description

string
scenarioId
Required  

Notification scenario id

string
scenarioName
Read-Only  

Notification scenario name

string
subject
Optional
Constraints: maxLength: 998

Notification scenario subject


403

Forbidden

Returns NotificationScenarioConfig of type(s) application/json
"NotificationScenarioConfig Object"
string
body
Optional
Constraints: maxLength: 30000

Notification scenario body

boolean
enabled
Required  

Notification scenario enabled

string
scenarioCategory
Read-Only  

Notification scenario category

string
scenarioDescription
Read-Only  

Notification scenario description

string
scenarioId
Required  

Notification scenario id

string
scenarioName
Read-Only  

Notification scenario name

string
subject
Optional
Constraints: maxLength: 998

Notification scenario subject


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"enabled":"boolean","scenarioId":"string"}' https://{api_host}/notification/api/scenario-configs